Subject: RFD: comp.os.linux reorganization
From: Lars Wirzenius <[email-masked]>
Date: 3 Jun 1993 12:11:55 -0400
Newsgroups: news.announce.newgroups,news.groups,comp.os.linux.announce,comp.os.linux

This is a Request For Discussion about splitting comp.os.linux into
several, hopefully smaller groups.

There was an earlier attempt to do this very thing in November 1992,
but that resulted only in the creation of comp.os.linux.announce.  The
six month waiting period ended June 1, 1993.

The traffic in comp.os.linux has been large for a long while.  Based
on the comp.os.linux digests stored in tsx-11.mit.edu, the traffic in
November, 1992, was on average about 110 articles per day, and on
average about 140 articles per day in April, 1993 (I do not have
statistics for May).  There seems to be a strong feeling that this is
enough traffic to warrant a split, and discussions about the split
have occured regularly throughout the six month waiting period.  (I
will leave it to the reader to decide whether the traffic has
`exploded' or `become radically larger' since November.)

The current Linux newsgroups are:

      * comp.os.linux.announce -- Announcements, periodic postings,
	and other important information.  This group is moderated, by
	Matt Welsh ([email-masked]) and myself, Lars Wirzenius
	([email-masked]).  This RFD does not affect this
	group.

      * comp.os.linux -- All other discussion.

My proposal is to create additional groups with the following purposes:

      * comp.os.linux.bugs -- Reporting bugs that may be Linux
	related, and distributing patches and fixes for them.  (There
	is an attempt at creating a mailing list for this type of
	activity.  I do not know which is better, although I think a
	newsgroup might be more convenient.)

      * comp.os.linux.kernel or c.o.l.internals -- Discussion and
	questions about the kernel, and related system software such
	as gcc and shared libraries, or networking (not `system
	software' as in lpr, or useradd).

      * comp.os.linux.apps -- Discussion and questions about
	application programs (non-system programs) running under
	Linux, specifically their Linux-related aspects.  (I would
	prefer a different name, to keep the c.o.l.a acronym for
	comp.os.linux.announce only.)

      * comp.os.linux.questions -- Questions about topics not covered
	by the above groups, such as documentation, system
	administration, or the various Linux distributions.

All groups should be unmoderated.

The existing group comp.os.linux would remain as it is, as a catch-all
group of discussion about topics not related to the above subjects.  I
do not propose to change its name to comp.os.linux.misc.

I do not propose the creation of groups such as c.o.l.gcc (too little
gcc specific traffic), c.o.l.x (comp.windows.x.i386unix exists and
works well), c.o.l.programmer (too little need, comp.unix.programmer
exists and serves well for Linux also), c.o.l.net (I do not think
there will be enough traffic to support a group).

Discussion about the split should be conducted in the group
news.groups (please be sure to include `linux' in the subject line, so
that it is easy to spot the discussion based on the subject line
alone).  It should definitely not be discussed in comp.os.linux, which
is busy enough as it is and doesn't need the kind of heated discussion
this is likely to generate (and already has: there have been dozens of
articles in just a couple of days already on this topic).  People who
are not able to read news.groups will have to get a way to do that.

I will not be able to hold the vote, due to probable problems with net
access in July.  Persons willing to hold the vote will hopefully
materialize.

Should the discussion warrant it, the voting should start July 1.
Further details will be given when available.

(Just so everyone knows my feelings about the topic: I am not
personally enthusiastic about this.  I'm doing it because I want it
done right, and because it will be done anyway.)
-- 
[email-masked]  (finger [email-masked])
   MS-DOS, you can't live with it, you can live without it.